Safe Haskell | Safe-Inferred
Language | Haskell2010

Bug923

Synopsis

- data T :: (* -> (*, *)) -> * where
  - T :: a -> T ('(,) a)

# Documentation

data T :: (* -> (*, *)) -> * where #

A promoted tuple type

Constructors

T :: a -> T ('(,) a) |

#### Instances

Instances details

Eq a => Eq (T ('(,) a :: Type -> (Type, Type))) # | A promoted tuple type in an instance
Instance details Defined in Bug923 Methods (==) :: T ('(,) a) -> T ('(,) a) -> Bool # (/=) :: T ('(,) a) -> T ('(,) a) -> Bool #